This is a combined update of the java-1.8.0-openjdk and nss packages, that contains a fix for an NSS ABI issue.

nss:

  • The incompatible NSS ABI, which had accidently been introduced in NSS versions 3.28, 3.28.1, 3.28.2 and 3.29 has been fixed, and original compatibility has been restored.
  • please rebuild your application, if it directly accesses nss-softokn interfaces

java-1.8.0-openjdk:

  • you MUST update to the softokn-3.28.3 to use this java-1.8.0-openjdk package
  • secondary (and mainly) issue with config files leftovers was (hopefully) finally resolved
    • so except NSS you will get aligned also copy-jdk-configs to 2.2
    • please remove any old .rpmsave or .rpmnew or any other other rpm backups of those files ahead this release
      • note that those may be in different directories (still in /usr/share/java/java-1.8.0-openjdk-1.8.0*)
  • in addition, many small bugficxes (like 1423421) were included

How to install

sudo dnf upgrade --advisory=FEDORA-2017-f66b383735

This update has been submitted for testing by jvanek.

3 years ago

jvanek edited this update.

3 years ago

kengert edited this update.

New build(s):

  • nss-3.28.3-1.0.fc25
  • nss-softokn-3.28.3-1.1.fc25
  • nss-util-3.28.3-1.0.fc25
3 years ago

This update has been submitted for testing by kengert.

3 years ago

This update has been pushed to testing.

3 years ago
User Icon cserpentis commented & provided feedback 3 years ago
karma

works for me

User Icon besser82 commented & provided feedback 3 years ago
karma

Works great! LGTM! =)

User Icon jvanek commented & provided feedback 3 years ago

Java of course works O:), but also NSS seems to be ok

BZ#1423421 java-1.8.0-openjdk: javadoc crashes on valid Java source
BZ#1415137 java-1.8.0-openjdk: NSS 3.28 update causes core dump
User Icon michalvala provided feedback 3 years ago
karma
BZ#1423421 java-1.8.0-openjdk: javadoc crashes on valid Java source
BZ#1415137 java-1.8.0-openjdk: NSS 3.28 update causes core dump
User Icon pmikova commented & provided feedback 3 years ago
karma

works fine

BZ#1423421 java-1.8.0-openjdk: javadoc crashes on valid Java source
BZ#1415137 java-1.8.0-openjdk: NSS 3.28 update causes core dump
User Icon akasko commented & provided feedback 3 years ago
karma

EC crypto in jdk worked fine for me

BZ#1423421 java-1.8.0-openjdk: javadoc crashes on valid Java source
BZ#1415137 java-1.8.0-openjdk: NSS 3.28 update causes core dump
User Icon bojan commented & provided feedback 3 years ago
karma

No regressions detected on x86_64.

User Icon yuwata commented & provided feedback 3 years ago
karma

works for me

User Icon heikoada commented & provided feedback 3 years ago
karma

LGTM

User Icon greg18 commented & provided feedback 3 years ago
karma

LGTM :)

User Icon pwalter commented & provided feedback 3 years ago
karma

Works

This update has been submitted for stable by kengert.

3 years ago

This update has been pushed to stable.

3 years ago
User Icon dhgutteridge commented & provided feedback 3 years ago

Under the update notes, it states "please remove any old .rpmsave or .rpmnew or any other other rpm backups of those files ahead this release."

Then during the update, I get:

warning: /usr/lib/jvm/java-1.8.0-openjdk-1.8.0.121-8.b14.fc25.x86_64/jre/lib/security/US_export_policy.jar created as /usr/lib/jvm/java-1.8.0-openjdk-1.8.0.121-8.b14.fc25.x86_64/jre/lib/security/US_export_policy.jar.rpmnew warning: /usr/lib/jvm/java-1.8.0-openjdk-1.8.0.121-8.b14.fc25.x86_64/jre/lib/security/java.security created as /usr/lib/jvm/java-1.8.0-openjdk-1.8.0.121-8.b14.fc25.x86_64/jre/lib/security/java.security.rpmnew warning: /usr/lib/jvm/java-1.8.0-openjdk-1.8.0.121-8.b14.fc25.x86_64/jre/lib/security/local_policy.jar created as /usr/lib/jvm/java-1.8.0-openjdk-1.8.0.121-8.b14.fc25.x86_64/jre/lib/security/local_policy.jar.rpmnew

Does this mean I have to manually remove a bunch of files? If so, that seems a little problematic for general users...

User Icon dhgutteridge commented & provided feedback 3 years ago

That is, each time Java is updated, it generates a bunch of .rpmsave and .rpmnew files for me, so there are ones going back each release for years.


Please login to add feedback.

Metadata
Type
bugfix
Severity
high
Karma
10
Signed
Content Type
RPM
Test Gating
Settings
Unstable by Karma
-3
Stable by Karma
disabled
Stable by Time
disabled
Dates
submitted
3 years ago
in testing
3 years ago
in stable
3 years ago
modified
3 years ago
BZ#1415137 java-1.8.0-openjdk: NSS 3.28 update causes core dump
0
4
BZ#1423421 java-1.8.0-openjdk: javadoc crashes on valid Java source
0
4

Automated Test Results